### Class

# Phosh WWanManager

since: 0

#### Description [src]

    class Phosh.WWanManager : GObject.Object
    {
      /* No available fields */
    }

Base class for `PhoshWWan` interface implementations

Common code for implementors of the `PhoshWWan` interface covering NetworkManager related bits.

Available since: 0

#### Ancestors

- GObject

#### Descendants

- PhoshWWanMM
- PhoshWWanOfono

#### Constructors

###### phosh_wwan_manager_new

No description available.

since: 0

#### Instance methods

###### phosh_wwan_manager_get_data_enabled

No description available.

since: 0

###### phosh_wwan_manager_set_enabled

No description available.

since: 0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.WWanManager:data-enabled

No description available.

since: 0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct PhoshWWanManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.